cbsubst_info Struct Reference

## Data Fields

int | full_subst_length
int | keylen [CBSUBST_TBL_MAX]
char * | key [CBSUBST_TBL_MAX]
char | type [CBSUBST_TBL_MAX]
ID | ivar [CBSUBST_TBL_MAX]
VALUE | proc
VALUE | aliases

## Detailed Description

Definition at line 1135 of file tkutil.c.

## Field Documentation

VALUE cbsubst_info::aliases

Definition at line 1142 of file tkutil.c.

Referenced by allocate_cbsubst_info(), cbsubst_def_attr_aliases(), cbsubst_get_subst_arg(), and cbsubst_sym_to_subst().

int cbsubst_info::full_subst_length

Definition at line 1136 of file tkutil.c.

Referenced by allocate_cbsubst_info(), cbsubst_get_all_subst_keys(), cbsubst_get_subst_arg(), cbsubst_get_subst_key(), cbsubst_sym_to_subst(), and cbsubst_table_setup().

ID cbsubst_info::ivar[CBSUBST_TBL_MAX]

Definition at line 1140 of file tkutil.c.

Referenced by allocate_cbsubst_info(), cbsubst_get_all_subst_keys(), cbsubst_get_subst_arg(), cbsubst_initialize(), cbsubst_sym_to_subst(), and cbsubst_table_setup().

char* cbsubst_info::key[CBSUBST_TBL_MAX]

Definition at line 1138 of file tkutil.c.

Referenced by allocate_cbsubst_info(), cbsubst_get_all_subst_keys(), cbsubst_get_subst_arg(), cbsubst_get_subst_key(), cbsubst_sym_to_subst(), and cbsubst_table_setup().

int cbsubst_info::keylen[CBSUBST_TBL_MAX]

Definition at line 1137 of file tkutil.c.

Referenced by allocate_cbsubst_info(), cbsubst_get_all_subst_keys(), cbsubst_get_subst_arg(), cbsubst_get_subst_key(), cbsubst_scan_args(), cbsubst_sym_to_subst(), and cbsubst_table_setup().

VALUE cbsubst_info::proc

Definition at line 1141 of file tkutil.c.

Referenced by allocate_cbsubst_info(), cbsubst_scan_args(), and cbsubst_table_setup().

char cbsubst_info::type[CBSUBST_TBL_MAX]

Definition at line 1139 of file tkutil.c.

Referenced by allocate_cbsubst_info(), cbsubst_scan_args(), and cbsubst_table_setup().

The documentation for this struct was generated from the following file:

- ext/tk/tkutil/tkutil.c